Index: /trunk/sources/HeuristicLab.Algorithms.SGA/3.3/SGAMainLoop.cs
===================================================================
--- /trunk/sources/HeuristicLab.Algorithms.SGA/3.3/SGAMainLoop.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Algorithms.SGA/3.3/SGAMainLoop.cs	(revision 3160)
@@ -34,5 +34,4 @@
   /// </summary>
   [Item("SGAMainLoop", "An operator which represents the main loop of a standard genetic algorithm (SGA).")]
-  [Creatable("Test")]
   [StorableClass]
   public sealed class SGAMainLoop : AlgorithmOperator {
Index: /trunk/sources/HeuristicLab.Analysis/3.3/BestAverageWorstQualityCalculator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Analysis/3.3/BestAverageWorstQualityCalculator.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Analysis/3.3/BestAverageWorstQualityCalculator.cs	(revision 3160)
@@ -32,5 +32,4 @@
   [Item("BestAverageWorstQualityCalculator", "An operator which calculates the best, average and worst solution quality of the current population.")]
   [StorableClass]
-  [Creatable("Test")]
   public sealed class BestAverageWorstQualityCalculator : SingleSuccessorOperator {
     public IValueLookupParameter<BoolValue> MaximizationParameter {
Index: /trunk/sources/HeuristicLab.Analysis/3.3/DataRow.cs
===================================================================
--- /trunk/sources/HeuristicLab.Analysis/3.3/DataRow.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Analysis/3.3/DataRow.cs	(revision 3160)
@@ -29,5 +29,4 @@
   /// </summary>
   [Item("DataRow", "A row of data values.")]
-  [Creatable("Test")]
   [StorableClass]
   public sealed class DataRow : NamedItem {
Index: /trunk/sources/HeuristicLab.Analysis/3.3/DataTable.cs
===================================================================
--- /trunk/sources/HeuristicLab.Analysis/3.3/DataTable.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Analysis/3.3/DataTable.cs	(revision 3160)
@@ -28,5 +28,4 @@
   /// </summary>
   [Item("DataTable", "A table of data values.")]
-  [Creatable("Test")]
   [StorableClass]
   public sealed class DataTable : NamedItem {
Index: /trunk/sources/HeuristicLab.Analysis/3.3/DataTableValuesCollector.cs
===================================================================
--- /trunk/sources/HeuristicLab.Analysis/3.3/DataTableValuesCollector.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Analysis/3.3/DataTableValuesCollector.cs	(revision 3160)
@@ -32,5 +32,4 @@
   /// </summary>
   [Item("DataTableValuesCollector", "An operator which collects the actual values of parameters and adds them to a table of data values.")]
-  [Creatable("Test")]
   [StorableClass]
   public class DataTableValuesCollector : ValuesCollector {
Index: /trunk/sources/HeuristicLab.Core/3.3/OperatorCollection.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/OperatorCollection.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Core/3.3/OperatorCollection.cs	(revision 3160)
@@ -30,6 +30,6 @@
 namespace HeuristicLab.Core {
   [StorableClass]
-  [Item("OperatorCollection", "Represents a collection of operators.")]
-  [Creatable("Test")]
+  [Creatable("Algorithm Design")]
+  [Item("Operator Collection", "Represents a collection of operators.")]
   public class OperatorCollection : ItemCollection<IOperator> {
     public OperatorCollection() : base() { }
Index: /trunk/sources/HeuristicLab.Core/3.3/OperatorGraph.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/OperatorGraph.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Core/3.3/OperatorGraph.cs	(revision 3160)
@@ -33,6 +33,6 @@
   /// Represents a graph of operators.
   /// </summary>
-  [Item("OperatorGraph", "Represents a graph of operators.")]
-  [Creatable("Algorithms")]
+  [Item("Operator Graph", "Represents a graph of operators.")]
+  [Creatable("Algorithm Design")]
   [StorableClass]
   public class OperatorGraph : Item {
Index: /trunk/sources/HeuristicLab.Core/3.3/OperatorList.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/OperatorList.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Core/3.3/OperatorList.cs	(revision 3160)
@@ -31,5 +31,4 @@
   [StorableClass]
   [Item("OperatorList", "Represents a list of operators.")]
-  [Creatable("Test")]
   public class OperatorList : ItemList<IOperator> {
     public OperatorList() : base() { }
Index: /trunk/sources/HeuristicLab.Core/3.3/OperatorSet.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/OperatorSet.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Core/3.3/OperatorSet.cs	(revision 3160)
@@ -31,5 +31,4 @@
   [StorableClass]
   [Item("OperatorSet", "Represents a set of operators.")]
-  [Creatable("Test")]
   public class OperatorSet : ItemSet<IOperator> {
     public OperatorSet() : base() { }
Index: /trunk/sources/HeuristicLab.Core/3.3/ParameterCollection.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/ParameterCollection.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Core/3.3/ParameterCollection.cs	(revision 3160)
@@ -26,5 +26,4 @@
   [StorableClass]
   [Item("ParameterCollection", "Represents a collection of parameters.")]
-  [Creatable("Test")]
   public class ParameterCollection : NamedItemCollection<IParameter> {
     public ParameterCollection() : base() { }
Index: /trunk/sources/HeuristicLab.Core/3.3/Scope.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Scope.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Core/3.3/Scope.cs	(revision 3160)
@@ -28,5 +28,4 @@
   /// </summary>
   [Item("Scope", "A scope which contains variables and sub-scopes.")]
-  [Creatable("Test")]
   [StorableClass]
   public sealed class Scope : NamedItem, IScope {
Index: /trunk/sources/HeuristicLab.Core/3.3/ScopeList.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/ScopeList.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Core/3.3/ScopeList.cs	(revision 3160)
@@ -27,5 +27,4 @@
   [StorableClass]
   [Item("ScopeList", "Represents a list of scopes.")]
-  [Creatable("Test")]
   public sealed class ScopeList : ItemList<IScope> {
     public ScopeList() : base() { }
Index: /trunk/sources/HeuristicLab.Core/3.3/ValueParameterCollection.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/ValueParameterCollection.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Core/3.3/ValueParameterCollection.cs	(revision 3160)
@@ -26,5 +26,4 @@
   [StorableClass]
   [Item("ValueParameterCollection", "Represents a collection of value parameters.")]
-  [Creatable("Test")]
   public class ValueParameterCollection : NamedItemCollection<IValueParameter> {
     public ValueParameterCollection() : base() { }
Index: /trunk/sources/HeuristicLab.Core/3.3/Variable.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Variable.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Core/3.3/Variable.cs	(revision 3160)
@@ -29,5 +29,4 @@
   /// </summary>
   [Item("Variable", "A variable which has a name and holds an IItem.")]
-  [Creatable("Test")]
   [StorableClass]
   public sealed class Variable : NamedItem, IVariable {
Index: /trunk/sources/HeuristicLab.Core/3.3/VariableCollection.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/VariableCollection.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Core/3.3/VariableCollection.cs	(revision 3160)
@@ -27,5 +27,4 @@
   [StorableClass]
   [Item("VariableCollection", "Represents a collection of variables.")]
-  [Creatable("Test")]
   public sealed class VariableCollection : NamedItemCollection<IVariable> {
     public VariableCollection() : base() { }
Index: /trunk/sources/HeuristicLab.Data/3.3/BoolArray.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/BoolArray.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Data/3.3/BoolArray.cs	(revision 3160)
@@ -26,5 +26,4 @@
 namespace HeuristicLab.Data {
   [Item("BoolArray", "Represents an array of boolean values.")]
-  [Creatable("Test")]
   [StorableClass]
   public class BoolArray : ValueTypeArray<bool>, IStringConvertibleArray {
Index: /trunk/sources/HeuristicLab.Data/3.3/BoolMatrix.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/BoolMatrix.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Data/3.3/BoolMatrix.cs	(revision 3160)
@@ -26,5 +26,4 @@
 namespace HeuristicLab.Data {
   [Item("BoolMatrix", "Represents a matrix of boolean values.")]
-  [Creatable("Test")]
   [StorableClass]
   public class BoolMatrix : ValueTypeMatrix<bool>, IStringConvertibleMatrix {
Index: /trunk/sources/HeuristicLab.Data/3.3/BoolValue.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/BoolValue.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Data/3.3/BoolValue.cs	(revision 3160)
@@ -27,5 +27,4 @@
 namespace HeuristicLab.Data {
   [Item("BoolValue", "Represents a boolean value.")]
-  [Creatable("Test")]
   [StorableClass]
   public class BoolValue : ValueTypeValue<bool>, IComparable, IStringConvertibleValue {
Index: /trunk/sources/HeuristicLab.Data/3.3/Comparison.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/Comparison.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Data/3.3/Comparison.cs	(revision 3160)
@@ -26,5 +26,4 @@
 namespace HeuristicLab.Data {
   [Item("Comparison", "Represents a comparison.")]
-  [Creatable("Test")]
   [StorableClass]
   public class Comparison : ValueTypeValue<ComparisonType>, IComparable {
Index: /trunk/sources/HeuristicLab.Data/3.3/DateTimeValue.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/DateTimeValue.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Data/3.3/DateTimeValue.cs	(revision 3160)
@@ -26,5 +26,4 @@
 namespace HeuristicLab.Data {
   [Item("DateTimeValue", "Represents a date and time value.")]
-  [Creatable("Test")]
   [StorableClass]
   public class DateTimeValue : ValueTypeValue<DateTime>, IComparable, IStringConvertibleValue {
Index: /trunk/sources/HeuristicLab.Data/3.3/DoubleArray.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/DoubleArray.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Data/3.3/DoubleArray.cs	(revision 3160)
@@ -26,5 +26,4 @@
 namespace HeuristicLab.Data {
   [Item("DoubleArray", "Represents an array of double values.")]
-  [Creatable("Test")]
   [StorableClass]
   public class DoubleArray : ValueTypeArray<double>, IStringConvertibleArray {
Index: /trunk/sources/HeuristicLab.Data/3.3/DoubleMatrix.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/DoubleMatrix.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Data/3.3/DoubleMatrix.cs	(revision 3160)
@@ -26,5 +26,4 @@
 namespace HeuristicLab.Data {
   [Item("DoubleMatrix", "Represents a matrix of double values.")]
-  [Creatable("Test")]
   [StorableClass]
   public class DoubleMatrix : ValueTypeMatrix<double>, IStringConvertibleMatrix {
Index: /trunk/sources/HeuristicLab.Data/3.3/DoubleValue.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/DoubleValue.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Data/3.3/DoubleValue.cs	(revision 3160)
@@ -27,5 +27,4 @@
 namespace HeuristicLab.Data {
   [Item("DoubleValue", "Represents a double value.")]
-  [Creatable("Test")]
   [StorableClass]
   public class DoubleValue : ValueTypeValue<double>, IComparable, IStringConvertibleValue {
Index: /trunk/sources/HeuristicLab.Data/3.3/IntArray.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/IntArray.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Data/3.3/IntArray.cs	(revision 3160)
@@ -26,5 +26,4 @@
 namespace HeuristicLab.Data {
   [Item("IntArray", "Represents an array of integer values.")]
-  [Creatable("Test")]
   [StorableClass]
   public class IntArray : ValueTypeArray<int>, IStringConvertibleArray {
Index: /trunk/sources/HeuristicLab.Data/3.3/IntMatrix.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/IntMatrix.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Data/3.3/IntMatrix.cs	(revision 3160)
@@ -26,5 +26,4 @@
 namespace HeuristicLab.Data {
   [Item("IntMatrix", "Represents a matrix of integer values.")]
-  [Creatable("Test")]
   [StorableClass]
   public class IntMatrix : ValueTypeMatrix<int>, IStringConvertibleMatrix {
Index: /trunk/sources/HeuristicLab.Data/3.3/IntValue.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/IntValue.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Data/3.3/IntValue.cs	(revision 3160)
@@ -27,5 +27,4 @@
 namespace HeuristicLab.Data {
   [Item("IntValue", "Represents an integer value.")]
-  [Creatable("Test")]
   [StorableClass]
   public class IntValue : ValueTypeValue<int>, IComparable, IStringConvertibleValue {
Index: /trunk/sources/HeuristicLab.Data/3.3/PercentValue.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/PercentValue.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Data/3.3/PercentValue.cs	(revision 3160)
@@ -26,5 +26,4 @@
 namespace HeuristicLab.Data {
   [Item("PercentValue", "Represents a double value in percent.")]
-  [Creatable("Test")]
   [StorableClass]
   public class PercentValue : DoubleValue {
Index: /trunk/sources/HeuristicLab.Data/3.3/StringArray.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/StringArray.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Data/3.3/StringArray.cs	(revision 3160)
@@ -29,5 +29,4 @@
 namespace HeuristicLab.Data {
   [Item("StringArray", "Represents an array of strings.")]
-  [Creatable("Test")]
   [StorableClass]
   public class StringArray : Item, IEnumerable, IStringConvertibleArray {
Index: /trunk/sources/HeuristicLab.Data/3.3/StringMatrix.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/StringMatrix.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Data/3.3/StringMatrix.cs	(revision 3160)
@@ -29,5 +29,4 @@
 namespace HeuristicLab.Data {
   [Item("StringMatrix", "Represents a matrix of strings.")]
-  [Creatable("Test")]
   [StorableClass]
   public class StringMatrix : Item, IEnumerable, IStringConvertibleMatrix {
Index: /trunk/sources/HeuristicLab.Data/3.3/StringValue.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/StringValue.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Data/3.3/StringValue.cs	(revision 3160)
@@ -26,5 +26,4 @@
 namespace HeuristicLab.Data {
   [Item("StringValue", "Represents a string.")]
-  [Creatable("Test")]
   [StorableClass]
   public class StringValue : Item, IComparable, IStringConvertibleValue {
Index: /trunk/sources/HeuristicLab.Data/3.3/TimeSpanValue.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/TimeSpanValue.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Data/3.3/TimeSpanValue.cs	(revision 3160)
@@ -27,5 +27,4 @@
 namespace HeuristicLab.Data {
   [Item("TimeSpanValue", "Represents a duration of time.")]
-  [Creatable("Test")]
   [StorableClass]
   public class TimeSpanValue : ValueTypeValue<TimeSpan>, IComparable, IStringConvertibleValue {
Index: /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/BinaryVector.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/BinaryVector.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/BinaryVector.cs	(revision 3160)
@@ -27,5 +27,4 @@
   [StorableClass]
   [Item("BinaryVector", "Represents a vector of binary values.")]
-  [Creatable("Test")]
   public class BinaryVector : BoolArray {
     public BinaryVector() : base() { }
Index: /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Creators/RandomBinaryVectorCreator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Creators/RandomBinaryVectorCreator.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Creators/RandomBinaryVectorCreator.cs	(revision 3160)
@@ -34,5 +34,4 @@
   [Item("RandomBinaryVectorCreator", "An operator which creates a new random binary vector with each element randomly initialized.")]
   [StorableClass]
-  [Creatable("Test")]
   public class RandomBinaryVectorCreator: BinaryVectorCreator {
     /// <summary>
Index: /trunk/sources/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Creators/UniformRandomIntegerVectorCreator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Creators/UniformRandomIntegerVectorCreator.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Creators/UniformRandomIntegerVectorCreator.cs	(revision 3160)
@@ -33,5 +33,4 @@
   [Item("UniformRandomIntegerVectorCreator", "An operator which creates a new random int vector with each element uniformly distributed in a specified range.")]
   [StorableClass]
-  [Creatable("Test")]
   public class UniformRandomIntegerVectorCreator : IntegerVectorCreator {
     /// <summary>
Index: /trunk/sources/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/IntegerVector.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/IntegerVector.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/IntegerVector.cs	(revision 3160)
@@ -27,5 +27,4 @@
   [StorableClass]
   [Item("IntegerVector", "Represents a vector of integer values.")]
-  [Creatable("Test")]
   public class IntegerVector : IntArray {
     public IntegerVector() : base() { }
Index: /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Creators/RandomPermutationCreator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Creators/RandomPermutationCreator.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Creators/RandomPermutationCreator.cs	(revision 3160)
@@ -33,5 +33,4 @@
   [Item("RandomPermutationCreator", "An operator which creates a new random permutation of integer values.")]
   [StorableClass]
-  [Creatable("Test")]
   public sealed class RandomPermutationCreator : SingleSuccessorOperator, IPermutationCreator, IStochasticOperator {
     public override bool CanChangeName {
Index: /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/CosaCrossover.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/CosaCrossover.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/CosaCrossover.cs	(revision 3160)
@@ -36,5 +36,4 @@
   [Item("CosaCrossover", "An operator which performs the crossover described in the COSA optimization method. It is implemented as described in Wendt, O. 1994. COSA: COoperative Simulated Annealing - Integration von Genetischen Algorithmen und Simulated Annealing am Beispiel der Tourenplanung. Dissertation Thesis. IWI Frankfurt.")]
   [StorableClass]
-  [Creatable("Test")]
   public class CosaCrossover : PermutationCrossover {
     /// <summary>
Index: /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/CyclicCrossover.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/CyclicCrossover.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/CyclicCrossover.cs	(revision 3160)
@@ -33,5 +33,4 @@
   [Item("CyclicCrossover", "An operator which performs the cyclic crossover on two permutations. It is implemented as described in Eiben, A.E. and Smith, J.E. 2003. Introduction to Evolutionary Computation. Natural Computing Series, Springer-Verlag Berlin Heidelberg.")]
   [StorableClass]
-  [Creatable("Test")]
   public class CyclicCrossover : PermutationCrossover {
     /// <summary>
Index: /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/CyclicCrossover2.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/CyclicCrossover2.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/CyclicCrossover2.cs	(revision 3160)
@@ -34,5 +34,4 @@
   [Item("CyclicCrossover2", "An operator which performs the cyclic crossover on two permutations. It is implemented as described in Affenzeller, M. et al. 2009. Genetic Algorithms and Genetic Programming - Modern Concepts and Practical Applications. CRC Press. p. 136.")]
   [StorableClass]
-  [Creatable("Test")]
   public class CyclicCrossover2 : PermutationCrossover {
     /// <summary>
Index: /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/EdgeRecombinationCrossover.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/EdgeRecombinationCrossover.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/EdgeRecombinationCrossover.cs	(revision 3160)
@@ -36,5 +36,4 @@
   [Item("EdgeRecombinationCrossover", "An operator which performs the edge recombination crossover on two permutations. It is implemented as described in Whitley et.al. 1991, The Traveling Salesman and Sequence Scheduling, in Davis, L. (Ed.), Handbook of Genetic Algorithms, New York, pp. 350-372.")]
   [StorableClass]
-  [Creatable("Test")]
   public class EdgeRecombinationCrossover : PermutationCrossover {
     /// <summary>
Index: /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/MaximalPreservativeCrossover.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/MaximalPreservativeCrossover.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/MaximalPreservativeCrossover.cs	(revision 3160)
@@ -36,5 +36,4 @@
   [Item("MaximalPreservativeCrossover", "An operator which performs the maximal preservative crossover on two permutations. It is implemented as described in Mühlenbein, H. 1991. Evolution in time and space - the parallel genetic algorithm. FOUNDATIONS OF GENETIC ALGORITHMS, pp. 316-337. Morgan Kaufmann.")]
   [StorableClass]
-  [Creatable("Test")]
   public class MaximalPreservativeCrossover : PermutationCrossover {
     /// <summary>
Index: /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/OrderBasedCrossover.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/OrderBasedCrossover.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/OrderBasedCrossover.cs	(revision 3160)
@@ -36,5 +36,4 @@
   [Item("OrderBasedCrossover", "An operator which performs an order based crossover of two permutations. It is implemented as described in Syswerda, G. (1991). Schedule Optimization Using Genetic Algorithms. In Davis, L. (Ed.) Handbook of Genetic Algorithms, Van Nostrand Reinhold, New York, pp. 332-349.")]
   [StorableClass]
-  [Creatable("Test")]
   public class OrderBasedCrossover : PermutationCrossover {
     /// <summary>
Index: /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/OrderCrossover.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/OrderCrossover.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/OrderCrossover.cs	(revision 3160)
@@ -36,5 +36,4 @@
   [Item("OrderCrossover", "An operator which performs an order crossover of two permutations. It is implemented as described in Eiben, A.E. and Smith, J.E. 2003. Introduction to Evolutionary Computation. Natural Computing Series, Springer-Verlag Berlin Heidelberg.")]
   [StorableClass]
-  [Creatable("Test")]
   public class OrderCrossover : PermutationCrossover {
     /// <summary>
Index: /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/OrderCrossover2.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/OrderCrossover2.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/OrderCrossover2.cs	(revision 3160)
@@ -35,5 +35,4 @@
   [Item("OrderCrossover2", "An operator which performs an order crossover of two permutations. It is implemented as described in Affenzeller, M. et al. 2009. Genetic Algorithms and Genetic Programming - Modern Concepts and Practical Applications. CRC Press. p. 135.")]
   [StorableClass]
-  [Creatable("Test")]
   public class OrderCrossover2 : PermutationCrossover {
     /// <summary>
Index: /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/PartiallyMatchedCrossover.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/PartiallyMatchedCrossover.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/PartiallyMatchedCrossover.cs	(revision 3160)
@@ -35,5 +35,4 @@
   [Item("PartiallyMatchedCrossover", "An operator which performs the partially matched crossover on two permutations. It is implemented as described in Fogel, D.B. 1988. An Evolutionary Approach to the Traveling Salesman Problem. Biological Cybernetics, 60, pp. 139-144, Springer-Verlag.")]
   [StorableClass]
-  [Creatable("Test")]
   public class PartiallyMatchedCrossover : PermutationCrossover {
     /// <summary>
Index: /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/PositionBasedCrossover.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/PositionBasedCrossover.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Crossovers/PositionBasedCrossover.cs	(revision 3160)
@@ -33,5 +33,4 @@
   [Item("PositionBasedCrossover", "An operator which performs the position based crossover on two permutations. It is implemented as described in Syswerda, G. (1991). Schedule Optimization Using Genetic Algorithms. In Davis, L. (Ed.) Handbook of Genetic Algorithms, Van Nostrand Reinhold, New York, pp 332-349.")]
   [StorableClass]
-  [Creatable("Test")]
   public class PositionBasedCrossover : PermutationCrossover {
     /// <summary>
Index: /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/InsertionManipulator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/InsertionManipulator.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/InsertionManipulator.cs	(revision 3160)
@@ -32,5 +32,4 @@
   [Item("InsertionManipulator", "An operator which moves randomly one element to another position in the permutation. It is implemented as described in Fogel, D.B. (1988). An Evolutionary Approach to the Traveling Salesman Problem, Biological Cybernetics, 60, pp. 139-144.")]
   [StorableClass]
-  [Creatable("Test")]
   public class InsertionManipulator : PermutationManipulator {
     /// <summary>
Index: /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/InversionManipulator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/InversionManipulator.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/InversionManipulator.cs	(revision 3160)
@@ -32,5 +32,4 @@
   [Item("InversionManipulator", "An operator which inverts a randomly chosen part of a permutation. It is implemented as described in Eiben, A.E. and Smith, J.E. 2003. Introduction to Evolutionary Computation. Natural Computing Series, Springer-Verlag Berlin Heidelberg.")]
   [StorableClass]
-  [Creatable("Test")]
   public class InversionManipulator : PermutationManipulator {
     /// <summary>
Index: /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/ScrambleManipulator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/ScrambleManipulator.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/ScrambleManipulator.cs	(revision 3160)
@@ -32,5 +32,4 @@
   [Item("ScrambleManipulator", "An operator which manipulates a permutation array by randomly scrambling the elements in a randomly chosen interval. It is implemented as described in Syswerda, G. (1991). Schedule Optimization Using Genetic Algorithms. In Davis, L. (Ed.) Handbook of Genetic Algorithms, Van Nostrand Reinhold, New York, pp 332-349.")]
   [StorableClass]
-  [Creatable("Test")]
   public class ScrambleManipulator : PermutationManipulator {
     /// <summary>
Index: /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/Swap2Manipulator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/Swap2Manipulator.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/Swap2Manipulator.cs	(revision 3160)
@@ -32,5 +32,4 @@
   [Item("Swap2Manipulator", "An operator which manipulates a permutation array by swapping to randomly chosen elements. It is implemented as described in Eiben, A.E. and Smith, J.E. 2003. Introduction to Evolutionary Computation. Natural Computing Series, Springer-Verlag Berlin Heidelberg.")]
   [StorableClass]
-  [Creatable("Test")]
   public class Swap2Manipulator : PermutationManipulator {
     /// <summary>
Index: /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/Swap3Manipulator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/Swap3Manipulator.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/Swap3Manipulator.cs	(revision 3160)
@@ -34,5 +34,4 @@
   [Item("Swap3Manipulator", "An operator which manipulates a permutation array by swaping three randomly chosen elements. It is implemented such that first 3 positions are randomly chosen in the interval [0;N) with N = length of the permutation with all positions being distinct from each other. Then position 1 is put in place of position 3, position 2 is put in place of position 1 and position 3 is put in place of position 2.")]
   [StorableClass]
-  [Creatable("Test")]
   public class Swap3Manipulator : PermutationManipulator {
     /// <summary>
Index: /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/TranslocationInversionManipulator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/TranslocationInversionManipulator.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/TranslocationInversionManipulator.cs	(revision 3160)
@@ -33,5 +33,4 @@
   [Item("TranslocationInversionManipulator", "An operator which inverts a randomly chosen part of a permutation and inserts it at a random position. It is implemented as described in Fogel, D.B. 1993. Applying Evolutionary Programming to Selected TSP Problems, Cybernetics and Systems, 22, pp. 27-36.")]
   [StorableClass]
-  [Creatable("Test")]
   public class TranslocationInversionManipulator : PermutationManipulator {
     /// <summary>
Index: /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/TranslocationManipulator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/TranslocationManipulator.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Manipulators/TranslocationManipulator.cs	(revision 3160)
@@ -33,5 +33,4 @@
   [Item("TranslocationManipulator", "An operator which Manipulates a permutation array by moving a randomly chosen interval of elements to another (randomly chosen) position in the array. It is implemented as described in Michalewicz, Z. 1992. Genetic Algorithms + Data Structures = Evolution Programs, Springer Verlag, Berlin Heidelberg.")]
   [StorableClass]
-  [Creatable("Test")]
   public class TranslocationManipulator : PermutationManipulator {
     /// <summary>
Index: /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Permutation.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Permutation.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Encodings.PermutationEncoding/3.3/Permutation.cs	(revision 3160)
@@ -27,5 +27,4 @@
   [StorableClass]
   [Item("Permutation", "Represents a permutation of integer values.")]
-  [Creatable("Test")]
   public class Permutation : IntArray {
     public Permutation() : base() { }
Index: /trunk/sources/HeuristicLab.Encodings.RealVectorEncoding/3.3/Creators/UniformRandomRealVectorCreator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.RealVectorEncoding/3.3/Creators/UniformRandomRealVectorCreator.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Encodings.RealVectorEncoding/3.3/Creators/UniformRandomRealVectorCreator.cs	(revision 3160)
@@ -34,5 +34,4 @@
   [Item("UniformRandomRealVectorCreator", "An operator which creates a new random real vector with each element uniformly distributed in a specified range.")]
   [StorableClass]
-  [Creatable("Test")]
   public class UniformRandomRealVectorCreator : RealVectorCreator {
     /// <summary>
Index: /trunk/sources/HeuristicLab.Encodings.RealVectorEncoding/3.3/RealVector.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.RealVectorEncoding/3.3/RealVector.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Encodings.RealVectorEncoding/3.3/RealVector.cs	(revision 3160)
@@ -27,5 +27,4 @@
   [StorableClass]
   [Item("RealVector", "Represents a vector of real values.")]
-  [Creatable("Test")]
   public class RealVector : DoubleArray {
     public RealVector() : base() { }
Index: /trunk/sources/HeuristicLab.Operators.Programmable/3.3/ProgrammableOperator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Programmable/3.3/ProgrammableOperator.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Operators.Programmable/3.3/ProgrammableOperator.cs	(revision 3160)
@@ -42,5 +42,4 @@
 
   [Item("ProgrammableOperator", "An operator that can be programmed for arbitrary needs.")]
-  [Creatable("Test")]
   [StorableClass]  
   public class ProgrammableOperator : Operator, IParameterizedNamedItem {
Index: /trunk/sources/HeuristicLab.Operators/3.3/Assigner.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators/3.3/Assigner.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Operators/3.3/Assigner.cs	(revision 3160)
@@ -30,5 +30,4 @@
   [Item("Assigner", "An operator which clones and assigns the value of one parameter to another parameter.")]
   [StorableClass]
-  [Creatable("Test")]
   public sealed class Assigner : SingleSuccessorOperator {
     public LookupParameter<IItem> LeftSideParameter {
Index: /trunk/sources/HeuristicLab.Operators/3.3/CombinedOperator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators/3.3/CombinedOperator.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Operators/3.3/CombinedOperator.cs	(revision 3160)
@@ -29,5 +29,4 @@
   /// </summary>
   [Item("CombinedOperator", "An operator which contains an operator graph.")]
-  [Creatable("Test")]
   [StorableClass]
   public sealed class CombinedOperator : AlgorithmOperator, IParameterizedItem {
Index: /trunk/sources/HeuristicLab.Operators/3.3/Comparator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators/3.3/Comparator.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Operators/3.3/Comparator.cs	(revision 3160)
@@ -32,5 +32,4 @@
   [Item("Comparator", "An operator which compares two items.")]
   [StorableClass]
-  [Creatable("Test")]
   public sealed class Comparator : SingleSuccessorOperator {
     public LookupParameter<IItem> LeftSideParameter {
Index: /trunk/sources/HeuristicLab.Operators/3.3/ConditionalBranch.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators/3.3/ConditionalBranch.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Operators/3.3/ConditionalBranch.cs	(revision 3160)
@@ -30,5 +30,4 @@
   /// </summary>
   [Item("ConditionalBranch", "A branch of two operators whose executions depend on a boolean condition.")]
-  [Creatable("Test")]
   [StorableClass]
   public class ConditionalBranch : SingleSuccessorOperator {
Index: /trunk/sources/HeuristicLab.Operators/3.3/DoubleCounter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators/3.3/DoubleCounter.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Operators/3.3/DoubleCounter.cs	(revision 3160)
@@ -31,5 +31,4 @@
   [Item("DoubleCounter", "An operator which increments a double variable.")]
   [StorableClass]
-  [Creatable("Test")]
   public sealed class DoubleCounter : SingleSuccessorOperator {
     public LookupParameter<DoubleValue> ValueParameter {
Index: /trunk/sources/HeuristicLab.Operators/3.3/EmptyOperator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators/3.3/EmptyOperator.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Operators/3.3/EmptyOperator.cs	(revision 3160)
@@ -28,5 +28,4 @@
   /// </summary>
   [Item("EmptyOperator", "An operator which represents an empty statement.")]
-  [Creatable("Test")]
   [StorableClass]
   public sealed class EmptyOperator : SingleSuccessorOperator {
Index: /trunk/sources/HeuristicLab.Operators/3.3/IntCounter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators/3.3/IntCounter.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Operators/3.3/IntCounter.cs	(revision 3160)
@@ -31,5 +31,4 @@
   [Item("IntCounter", "An operator which increments an integer variable.")]
   [StorableClass]
-  [Creatable("Test")]
   public sealed class IntCounter : SingleSuccessorOperator {
     public LookupParameter<IntValue> ValueParameter {
Index: /trunk/sources/HeuristicLab.Operators/3.3/ParallelSubScopesProcessor.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators/3.3/ParallelSubScopesProcessor.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Operators/3.3/ParallelSubScopesProcessor.cs	(revision 3160)
@@ -28,5 +28,4 @@
   /// </summary>
   [Item("ParallelSubScopesProcessor", "An operator which contains multiple operators of which each is applied in parallel on one sub-scope of the current scope. The first operator is applied on the first sub-scope, the second on the second, and so on.")]
-  [Creatable("Test")]
   [StorableClass]
   public sealed class ParallelSubScopesProcessor : MultipleCallsOperator {
Index: /trunk/sources/HeuristicLab.Operators/3.3/Placeholder.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators/3.3/Placeholder.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Operators/3.3/Placeholder.cs	(revision 3160)
@@ -29,5 +29,4 @@
   /// </summary>
   [Item("Placeholder", "An operator which acts as a placeholder for another operator retrieved from the scope or a parent execution context.")]
-  [Creatable("Test")]
   [StorableClass]
   public sealed class Placeholder : SingleSuccessorOperator {
Index: /trunk/sources/HeuristicLab.Operators/3.3/ResultsCollector.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators/3.3/ResultsCollector.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Operators/3.3/ResultsCollector.cs	(revision 3160)
@@ -29,5 +29,4 @@
   /// </summary>
   [Item("ResultsCollector", "An operator which collects the actual values of parameters and adds them to a collection of variables.")]
-  [Creatable("Test")]
   [StorableClass]
   public class ResultsCollector : ValuesCollector {
Index: /trunk/sources/HeuristicLab.Operators/3.3/ScopeCleaner.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators/3.3/ScopeCleaner.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Operators/3.3/ScopeCleaner.cs	(revision 3160)
@@ -30,5 +30,4 @@
   [Item("ScopeCleaner", "An operator which removes all variables and sub-scopes from the current scope.")]
   [StorableClass]
-  [Creatable("Test")]
   public sealed class ScopeCleaner : SingleSuccessorOperator {
     private ScopeParameter CurrentScopeParameter {
Index: /trunk/sources/HeuristicLab.Operators/3.3/SequentialSubScopesProcessor.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators/3.3/SequentialSubScopesProcessor.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Operators/3.3/SequentialSubScopesProcessor.cs	(revision 3160)
@@ -28,5 +28,4 @@
   /// </summary>
   [Item("SequentialSubScopesProcessor", "An operator which contains multiple operators of which each is applied sequentially on one sub-scope of the current scope. The first operator is applied on the first sub-scope, the second on the second, and so on.")]
-  [Creatable("Test")]
   [StorableClass]
   public sealed class SequentialSubScopesProcessor : MultipleCallsOperator {
Index: /trunk/sources/HeuristicLab.Operators/3.3/SingleSuccessorOperator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators/3.3/SingleSuccessorOperator.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Operators/3.3/SingleSuccessorOperator.cs	(revision 3160)
@@ -29,5 +29,4 @@
   /// </summary>
   [Item("SingleSuccessorOperator", "A base class for operators which have only one successor.")]
-  [Creatable("Test")]
   [StorableClass]
   public abstract class SingleSuccessorOperator : Operator {
Index: /trunk/sources/HeuristicLab.Operators/3.3/StochasticBranch.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators/3.3/StochasticBranch.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Operators/3.3/StochasticBranch.cs	(revision 3160)
@@ -30,5 +30,4 @@
   /// </summary>
   [Item("StochasticBranch", "A branch of two operators which are executed with a specified probability.")]
-  [Creatable("Test")]
   [StorableClass]
   public class StochasticBranch : SingleSuccessorOperator {
Index: /trunk/sources/HeuristicLab.Operators/3.3/SubScopesCreator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators/3.3/SubScopesCreator.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Operators/3.3/SubScopesCreator.cs	(revision 3160)
@@ -31,5 +31,4 @@
   [Item("SubScopesCreator", "An operator which adds new and empty sub-scopes to the current scope.")]
   [StorableClass]
-  [Creatable("Test")]
   public class SubScopesCreator : SingleSuccessorOperator {
     public ValueLookupParameter<IntValue> NumberOfSubScopesParameter {
Index: /trunk/sources/HeuristicLab.Operators/3.3/SubScopesRemover.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators/3.3/SubScopesRemover.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Operators/3.3/SubScopesRemover.cs	(revision 3160)
@@ -31,5 +31,4 @@
   [Item("SubScopesRemover", "An operator which removes all sub-scopes or one specified sub-scope from the current scope.")]
   [StorableClass]
-  [Creatable("Test")]
   public sealed class SubScopesRemover : SingleSuccessorOperator {
     private ValueParameter<BoolValue> RemoveAllSubScopesParameter {
Index: /trunk/sources/HeuristicLab.Operators/3.3/SubScopesSorter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators/3.3/SubScopesSorter.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Operators/3.3/SubScopesSorter.cs	(revision 3160)
@@ -31,5 +31,4 @@
   [Item("SubScopesSorter", "An operator which sorts the sub-scopes of the current scope.")]
   [StorableClass]
-  [Creatable("Test")]
   public sealed class SubScopesSorter : SingleSuccessorOperator {
     private bool descending;
Index: /trunk/sources/HeuristicLab.Operators/3.3/UniformParallelSubScopesProcessor.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators/3.3/UniformParallelSubScopesProcessor.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Operators/3.3/UniformParallelSubScopesProcessor.cs	(revision 3160)
@@ -29,5 +29,4 @@
   /// </summary>
   [Item("UniformParallelSubScopesProcessor", "An operator which applies a specified operator on all sub-scopes of the current scope in parallel.")]
-  [Creatable("Test")]
   [StorableClass]
   public sealed class UniformParallelSubScopesProcessor : SingleSuccessorOperator {
Index: /trunk/sources/HeuristicLab.Operators/3.3/UniformSequentialSubScopesProcessor.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators/3.3/UniformSequentialSubScopesProcessor.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Operators/3.3/UniformSequentialSubScopesProcessor.cs	(revision 3160)
@@ -29,5 +29,4 @@
   /// </summary>
   [Item("UniformSequentialSubScopesProcessor", "An operator which applies a specified operator sequentially on all sub-scopes of the current scope.")]
-  [Creatable("Test")]
   [StorableClass]
   public sealed class UniformSequentialSubScopesProcessor : SingleSuccessorOperator {
Index: /trunk/sources/HeuristicLab.Operators/3.3/ValuesCollector.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators/3.3/ValuesCollector.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Operators/3.3/ValuesCollector.cs	(revision 3160)
@@ -29,5 +29,4 @@
   /// </summary>
   [Item("ValuesCollector", "An operator which collects the actual values of parameters.")]
-  [Creatable("Test")]
   [StorableClass]
   public abstract class ValuesCollector : SingleSuccessorOperator, IOperator {
Index: /trunk/sources/HeuristicLab.Operators/3.3/VariableCreator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators/3.3/VariableCreator.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Operators/3.3/VariableCreator.cs	(revision 3160)
@@ -29,5 +29,4 @@
   /// </summary>
   [Item("VariableCreator", "An operator which collects the actual values of parameters and clones them into the current scope.")]
-  [Creatable("Test")]
   [StorableClass]
   public class VariableCreator : ValuesCollector {
Index: /trunk/sources/HeuristicLab.Optimization.Operators/3.3/ChildrenCreator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Operators/3.3/ChildrenCreator.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Optimization.Operators/3.3/ChildrenCreator.cs	(revision 3160)
@@ -38,5 +38,4 @@
   [Item("ChildrenCreator", "An operator which is used to prepare crossover. The sub-scopes of the current scope the operator is applied on represent the parents. The operator creates new and empty scopes for each child, adds the scopes that represent the child's parents as sub-scopes to the child and adds the child as sub-scope to the current scope.")]
   [StorableClass]
-  [Creatable("Test")]
   public sealed class ChildrenCreator : SingleSuccessorOperator {
     private ScopeParameter CurrentScopeParameter {
Index: /trunk/sources/HeuristicLab.Optimization.Operators/3.3/SolutionsCreator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Operators/3.3/SolutionsCreator.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Optimization.Operators/3.3/SolutionsCreator.cs	(revision 3160)
@@ -33,5 +33,4 @@
   [Item("SolutionsCreator", "An operator which creates new solutions.")]
   [StorableClass]
-  [Creatable("Test")]
   public sealed class SolutionsCreator : SingleSuccessorOperator {
     public ValueLookupParameter<IntValue> NumberOfSolutionsParameter {
Index: /trunk/sources/HeuristicLab.Parameters/3.3/OperatorParameter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Parameters/3.3/OperatorParameter.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Parameters/3.3/OperatorParameter.cs	(revision 3160)
@@ -29,5 +29,4 @@
   [Item("OperatorParameter", "A parameter which represents an operator.")]
   [StorableClass]
-  [Creatable("Test")]
   public class OperatorParameter : OptionalValueParameter<IOperator> {
     public OperatorParameter()
Index: /trunk/sources/HeuristicLab.Parameters/3.3/ScopeParameter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Parameters/3.3/ScopeParameter.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Parameters/3.3/ScopeParameter.cs	(revision 3160)
@@ -31,5 +31,4 @@
   [Item("ScopeParameter", "A parameter which represents the current scope.")]
   [StorableClass]
-  [Creatable("Test")]
   public class ScopeParameter : Parameter {
     public new IScope ActualValue {
Index: /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPEuclideanPathEvaluator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPEuclideanPathEvaluator.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPEuclideanPathEvaluator.cs	(revision 3160)
@@ -29,5 +29,4 @@
   /// </summary>
   [Item("TSPEuclideanPathEvaluator", "An operator which evaluates TSP solutions given in path representation using the Euclidean distance metric.")]
-  [Creatable("Test")]
   [StorableClass]
   public sealed class TSPEuclideanPathEvaluator : TSPCoordinatesPathEvaluator {
Index: /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPGeoPathEvaluator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPGeoPathEvaluator.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPGeoPathEvaluator.cs	(revision 3160)
@@ -29,5 +29,4 @@
   /// </summary>
   [Item("TSPGeoPathEvaluator", "An operator which evaluates TSP solutions given in path representation using the GEO distance metric (globe coordinates).")]
-  [Creatable("Test")]
   [StorableClass]
   public sealed class TSPGeoPathEvaluator : TSPCoordinatesPathEvaluator {
Index: /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPRoundedEuclideanPathEvaluator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPRoundedEuclideanPathEvaluator.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPRoundedEuclideanPathEvaluator.cs	(revision 3160)
@@ -29,5 +29,4 @@
   /// </summary>
   [Item("TSPRoundedEuclideanPathEvaluator", "An operator which evaluates TSP solutions given in path representation using the rounded Euclidean distance metric.")]
-  [Creatable("Test")]
   [StorableClass]
   public sealed class TSPRoundedEuclideanPathEvaluator : TSPCoordinatesPathEvaluator {
Index: /trunk/sources/HeuristicLab.Random/3.3/RandomCreator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Random/3.3/RandomCreator.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Random/3.3/RandomCreator.cs	(revision 3160)
@@ -32,5 +32,4 @@
   [Item("RandomCreator", "An operator which creates a new Mersenne Twister pseudo random number generator.")]
   [StorableClass]
-  [Creatable("Test")]
   public sealed class RandomCreator : SingleSuccessorOperator {
     public ValueLookupParameter<BoolValue> SetSeedRandomlyParameter {
Index: /trunk/sources/HeuristicLab.Selection/3.3/BestSelector.cs
===================================================================
--- /trunk/sources/HeuristicLab.Selection/3.3/BestSelector.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Selection/3.3/BestSelector.cs	(revision 3160)
@@ -33,5 +33,4 @@
   [Item("BestSelector", "A selection operator which considers a single double quality value and selects the best.")]
   [StorableClass]
-  [Creatable("Test")]
   public sealed class BestSelector : SingleObjectiveSelector, ISingleObjectiveSelector {
     public BestSelector() : base() { }
Index: /trunk/sources/HeuristicLab.Selection/3.3/LeftReducer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Selection/3.3/LeftReducer.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Selection/3.3/LeftReducer.cs	(revision 3160)
@@ -31,5 +31,4 @@
   [Item("LeftReducer", "An operator which reduces to the sub-scopes of the leftmost sub-scope of the current scope.")]
   [StorableClass]
-  [Creatable("Test")]
   public sealed class LeftReducer : Reducer, IReducer {
     public LeftReducer() : base() { }
Index: /trunk/sources/HeuristicLab.Selection/3.3/LinearRankSelector.cs
===================================================================
--- /trunk/sources/HeuristicLab.Selection/3.3/LinearRankSelector.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Selection/3.3/LinearRankSelector.cs	(revision 3160)
@@ -33,5 +33,4 @@
   [Item("LinearRankSelector", "A linear rank selection operator which considers the rank based on a single double quality value for selection.")]
   [StorableClass]
-  [Creatable("Test")]
   public sealed class LinearRankSelector : StochasticSingleObjectiveSelector, ISingleObjectiveSelector {
     public LinearRankSelector() : base() { }
Index: /trunk/sources/HeuristicLab.Selection/3.3/MergingReducer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Selection/3.3/MergingReducer.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Selection/3.3/MergingReducer.cs	(revision 3160)
@@ -31,5 +31,4 @@
   [Item("MergingReducer", "An operator which reduces to the sub-scopes of all sub-scopes of the current scope.")]
   [StorableClass]
-  [Creatable("Test")]
   public sealed class MergingReducer : Reducer, IReducer {
     public MergingReducer() : base() { }
Index: /trunk/sources/HeuristicLab.Selection/3.3/ProportionalSelector.cs
===================================================================
--- /trunk/sources/HeuristicLab.Selection/3.3/ProportionalSelector.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Selection/3.3/ProportionalSelector.cs	(revision 3160)
@@ -35,5 +35,4 @@
   [Item("ProportionalSelector", "A quality proportional selection operator which considers a single double quality value for selection.")]
   [StorableClass]
-  [Creatable("Test")]
   public sealed class ProportionalSelector : StochasticSingleObjectiveSelector, ISingleObjectiveSelector {
     private ValueParameter<BoolValue> WindowingParameter {
Index: /trunk/sources/HeuristicLab.Selection/3.3/RandomSelector.cs
===================================================================
--- /trunk/sources/HeuristicLab.Selection/3.3/RandomSelector.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Selection/3.3/RandomSelector.cs	(revision 3160)
@@ -33,5 +33,4 @@
   [Item("RandomSelector", "A random selection operator.")]
   [StorableClass]
-  [Creatable("Test")]
   public sealed class RandomSelector : StochasticSelector, ISelector {
     protected ValueParameter<BoolValue> CopySelectedParameter {
Index: /trunk/sources/HeuristicLab.Selection/3.3/RightReducer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Selection/3.3/RightReducer.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Selection/3.3/RightReducer.cs	(revision 3160)
@@ -31,5 +31,4 @@
   [Item("RightReducer", "An operator which reduces to the sub-scopes of the rightmost sub-scope of the current scope.")]
   [StorableClass]
-  [Creatable("Test")]
   public sealed class RightReducer : Reducer, IReducer {
     public RightReducer() : base() { }
Index: /trunk/sources/HeuristicLab.Selection/3.3/TournamentSelector.cs
===================================================================
--- /trunk/sources/HeuristicLab.Selection/3.3/TournamentSelector.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Selection/3.3/TournamentSelector.cs	(revision 3160)
@@ -34,5 +34,4 @@
   [Item("TournamentSelector", "A tournament selection operator which considers a single double quality value for selection.")]
   [StorableClass]
-  [Creatable("Test")]
   public sealed class TournamentSelector : StochasticSingleObjectiveSelector, ISingleObjectiveSelector {
     public ValueLookupParameter<IntValue> GroupSizeParameter {
Index: /trunk/sources/HeuristicLab.Selection/3.3/WorstSelector.cs
===================================================================
--- /trunk/sources/HeuristicLab.Selection/3.3/WorstSelector.cs	(revision 3159)
+++ /trunk/sources/HeuristicLab.Selection/3.3/WorstSelector.cs	(revision 3160)
@@ -33,5 +33,4 @@
   [Item("WorstSelector", "A selection operator which considers a single double quality value and selects the worst.")]
   [StorableClass]
-  [Creatable("Test")]
   public sealed class WorstSelector : SingleObjectiveSelector, ISingleObjectiveSelector {
     public WorstSelector() : base() { }
